## linux-ubuntu-modules-2.6.24 2.6.24-24.39trisquel2

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACER_ACPI)		+= acpi/acer_acpi/
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_ALSA)      	+= sound/
obj-$(CONFIG_BLK_DEV_DRBD)      += block/drbd/
obj-$(CONFIG_BLK_ISCSITARGET)	+= block/iscsitarget/
obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/

snd-bt-sco-objs			:= misc/btsco.o
#
# The btsco driver should ultimately be incorportated into the ALSA tree
# or deprecated. At the moment, we need to force the following build options to 
# make sure that struct snd_pcm_str in pcm.h is in sync with the ALSA build configs.
#
CFLAGS_btsco.o += -I$(src)/sound/alsa-driver/include -DCONFIG_SND_VERBOSE_PROCFS -DCONFIG_SND_PCM_OSS_MODULE

CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

ifneq ($(UBUNTU_FLAVOUR),openvz)
obj-$(CONFIG_AUFS)		+= fs/aufs/
endif

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
ifneq ($(UBUNTU_FLAVOUR),rt)
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
endif
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-m				+= media/

obj-$(CONFIG_NET_ATL2)		+= net/atl2/
obj-$(CONFIG_NET_ATL1E)		+= net/atl1e/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
obj-$(CONFIG_USB_NET_HSO)	+= wireless/hso.o

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_MMC_SD8686)       += wireless/marvell/8686_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_bt/

obj-$(CONFIG_ET131X)		+= net/et131x/
obj-$(CONFIG_IGB)		+= net/igb/
obj-$(CONFIG_E1000E_ICH9M)	+= net/e1000e-ich9m/

obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o

obj-$(CONFIG_DMRAID45)		+= md/

obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/
obj-$(CONFIG_RTL_8187_USB)	+= wireless/rtl8187-usb/

=== ubuntu/net/atl1e/Makefile ===
CFILES = at_common_main.c \
	 atl1c_hw.c atl1c_main.c atl1c_param.c atl1c_ethtool.c \
	 atl1e_hw.c atl1e_main.c atl1e_param.c \
	 kcompat.c

CFLAGS_atl1c_main.o += -DETHTOOL_OPS_COMPAT

HFILES = at_common.h atl1c.h atl1c_hw.h atl1e.h \
	 atl1e_hw.h at_osdep.h kcompat.h

obj-m += atl1e.o
atl1e-objs := $(CFILES:.c=.o)

=== ubuntu/sound/alsa-driver/pci/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

#
# ALSA extra code
#

clean-files := ad1889.c atiixp.c atiixp_modem.c bt87x.c cmipci.c ens1370.c \
	fm801.c intel8x0.c  via82xx.c via82xx_modem.c

obj-$(CONFIG_SND) +=  

#
#
#

include $(SND_TOPDIR)/alsa-kernel/pci/Makefile

include $(SND_TOPDIR)/Rules.make

ad1889.c: ad1889.patch $(SND_TOPDIR)/alsa-kernel/pci/ad1889.c
atiixp.c: atiixp.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp.c
atiixp_modem.c: atiixp_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp_modem.c
bt87x.c: bt87x.patch $(SND_TOPDIR)/alsa-kernel/pci/bt87x.c
cmipci.c: cmipci.patch $(SND_TOPDIR)/alsa-kernel/pci/cmipci.c
ens1370.c: ens1370.patch $(SND_TOPDIR)/alsa-kernel/pci/ens1370.c
fm801.c: fm801.patch $(SND_TOPDIR)/alsa-kernel/pci/fm801.c
intel8x0.c: intel8x0.patch $(SND_TOPDIR)/alsa-kernel/pci/intel8x0.c
: maestro3.patch $(SND_TOPDIR)/alsa-kernel/pci/maestro3.c
via82xx.c: via82xx.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx.c
via82xx_modem.c: via82xx_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx_modem.c

=== ubuntu/sound/alsa-kernel/pci/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-ad1889-objs := ad1889.o
snd-als300-objs := als300.o
snd-als4000-objs := als4000.o
snd-atiixp-objs := atiixp.o
snd-atiixp-modem-objs := atiixp_modem.o
snd-azt3328-objs := azt3328.o
snd-bt87x-objs := bt87x.o
snd-cmipci-objs := cmipci.o
snd-cs4281-objs := cs4281.o
snd-cs5530-objs := cs5530.o
snd-ens1370-objs := ens1370.o
snd-ens1371-objs := ens1371.o
snd-es1938-objs := es1938.o
snd-es1968-objs := es1968.o
snd-fm801-objs := fm801.o
snd-intel8x0-objs := intel8x0.o
snd-intel8x0m-objs := intel8x0m.o
snd-maestro3-objs := maestro3.o
snd-rme32-objs := rme32.o
snd-rme96-objs := rme96.o
snd-sis7019-objs := sis7019.o
snd-sonicvibes-objs := sonicvibes.o
snd-via82xx-objs := via82xx.o
snd-via82xx-modem-objs := via82xx_modem.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_AD1889) += snd-ad1889.o
obj-$(CONFIG_SND_ALS300) += snd-als300.o
obj-$(CONFIG_SND_ALS4000) += snd-als4000.o
obj-$(CONFIG_SND_ATIIXP) += snd-atiixp.o
obj-$(CONFIG_SND_ATIIXP_MODEM) += snd-atiixp-modem.o
obj-$(CONFIG_SND_AZT3328) += snd-azt3328.o
obj-$(CONFIG_SND_BT87X) += snd-bt87x.o
obj-$(CONFIG_SND_CMIPCI) += snd-cmipci.o
obj-$(CONFIG_SND_CS4281) += snd-cs4281.o
obj-$(CONFIG_SND_CS5530) += snd-cs5530.o
obj-$(CONFIG_SND_ENS1370) += snd-ens1370.o
obj-$(CONFIG_SND_ENS1371) += snd-ens1371.o
obj-$(CONFIG_SND_ES1938) += snd-es1938.o
obj-$(CONFIG_SND_ES1968) += snd-es1968.o
obj-$(CONFIG_SND_FM801) += snd-fm801.o
obj-$(CONFIG_SND_INTEL8X0) += snd-intel8x0.o
obj-$(CONFIG_SND_INTEL8X0M) += snd-intel8x0m.o
obj-$(CONFIG_SND_RME32) += snd-rme32.o
obj-$(CONFIG_SND_RME96) += snd-rme96.o
obj-$(CONFIG_SND_SIS7019) += snd-sis7019.o
obj-$(CONFIG_SND_SONICVIBES) += snd-sonicvibes.o
obj-$(CONFIG_SND_VIA82XX) += snd-via82xx.o
obj-$(CONFIG_SND_VIA82XX_MODEM) += snd-via82xx-modem.o

obj-$(CONFIG_SND) += \
	ac97/ \
	ali5451/ \
	au88x0/ \
	ca0106/ \
	cs5535audio/ \
	echoaudio/ \
	emu10k1/ \
	hda/ \
	ice1712/ \
	mixart/ \
	nm256/ \
	oxygen/ \
	pcxhr/ \
	riptide/ \
	rme9652/ \
	trident/ \
	vx222/

=== ubuntu/sound/alsa-kernel/isa/sb/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-sb-common-objs := sb_common.o sb_mixer.o
snd-sb8-dsp-objs := sb8_main.o sb8_midi.o
snd-sb16-dsp-objs := sb16_main.o
snd-sb8-objs := sb8.o
snd-sb16-objs := sb16.o
snd-sbawe-objs := sbawe.o emu8000.o
snd-emu8000-synth-objs := emu8000_synth.o emu8000_callback.o emu8000_patch.o emu8000_pcm.o
snd-es968-objs := es968.o

#
# this function returns:
#   "m" - CONFIG_SND_SEQUENCER is m
#   <empty string> - CONFIG_SND_SEQUENCER is undefined
#   otherwise parameter #1 value
#
sequencer = $(if $(subst y,,$(CONFIG_SND_SEQUENCER)),$(if $(1),m),$(if $(CONFIG_SND_SEQUENCER),$(1)))

# Toplevel Module Dependency
obj-$(CONFIG_SND_SB_COMMON) += snd-sb-common.o
obj-$(CONFIG_SND_SB16_DSP) += snd-sb16-dsp.o
obj-$(CONFIG_SND_SB8_DSP) += snd-sb8-dsp.o
obj-$(CONFIG_SND_SB8) += snd-sb8.o
obj-$(CONFIG_SND_SB16) += snd-sb16.o
obj-$(CONFIG_SND_SBAWE) += snd-sbawe.o
obj-$(CONFIG_SND_ES968) += snd-es968.o
ifeq ($(CONFIG_SND_SB16_CSP),y)
endif
obj-$(call sequencer,$(CONFIG_SND_SBAWE)) += snd-emu8000-synth.o

obj-m := $(sort $(obj-m))

=== ubuntu/wireless/iwlwifi-5k/drivers/net/wireless/iwlwifi/Makefile ===
obj-$(CONFIG_IWLCORE)	+= iwlcore.o
iwlcore-objs 		:= iwl-core.o iwl-eeprom.o iwl-hcmd.o iwl-power.o
iwlcore-objs 		+= iwl-rx.o iwl-tx.o iwl-sta.o iwl-calib.o
iwlcore-objs 		+= iwl-scan.o
iwlcore-$(CONFIG_IWLWIFI_DEBUGFS) += iwl-debugfs.o
iwlcore-$(CONFIG_IWLWIFI_LEDS) += iwl-led.o
iwlcore-$(CONFIG_IWLWIFI_RFKILL) += iwl-rfkill.o

obj-$(CONFIG_IWLAGN)	+= iwlagn.o
iwlagn-objs		:= iwl-agn.o iwl-agn-rs.o
iwlagn-$(CONFIG_IWL5000) += iwl-5000.o

iwl4965-$(CONFIG_IWL4965) += iwl-4965.o


obj-$(CONFIG_IWL3945)	+= iwl3945.o
iwl3945-objs		:= iwl3945-base.o iwl-3945.o iwl-3945-rs.o
iwl3945-$(CONFIG_IWL3945_LEDS) += iwl-3945-led.o

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-24.39trisquel2) trisquel; urgency=low

  * Removed non-free code

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 08 Sep 2009 18:32:41 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.39) hardy-proposed; urgency=low

  [Colin Ian King]

  * Add support for Atheros AR8121/AR8113/AR8114/AR8131/AR8132 NICs
    - LP: #341183
  * atl1c: Enable ethtool support
    - LP: #349478

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 08 Apr 2009 22:30:24 +0200

linux-ubuntu-modules-2.6.24 (2.6.24-24.38) hardy-proposed; urgency=low

  [Stefan Bader]

  * Update for bumped kernel ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 17:39:46 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-23.37) hardy-proposed; urgency=low

  [Loïc Minier]

  * LPIA: Poulsbo driver 2.3.0.32L.0029 update
    - LP: #316780

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 23 Jan 2009 15:25:52 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-23.36) hardy-proposed; urgency=low

  [Adrian Bunk]

  * sms1xxx: dvb/siano/: cleanups
    - LP: #301204

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Michael Krufky]

  * au0828: add new USB IDs for HVR950Q
    - LP: #299634
  * sms1xxx: fix product name for Hauppauge WinTV MiniStick
    - LP: #299640
  * sms1xxx: Add new USB product ID for Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: support two new revisions of the Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add USB IDs for Hauppauge WinTV MiniCard DVB-T
    - LP: #299680
  * sms1xxx: add autodetection support for Hauppauge WinTV MiniCard
    2040:200a
    - LP: #299680
  * sms1xxx: add functions to configure and set gpio
    - LP: #301204
  * sms1xxx: turn off LEDs after initialization of Hauppauge WinTV
    MiniStick
    - LP: #301204
  * sms1xxx: enable power LED on Hauppauge WinTV MiniStick
    - LP: #301405
  * sms1xxx: enable LNA control on Hauppauge WinTV MiniCard
    - LP: #301204
  * sms1xxx: fix invalid unc readings
    - LP: #301204
  * sms1xxx: enable signal quality indicator LEDs on Hauppauge WinTV
    MiniStick
    - LP: #301405

  [Stefan Bader]

  * Import git-ubuntu-log from kernel repository
  * alsa: backport alc662 update to enable CMPC 1.5
    - LP: #301785

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 24 Nov 2008 17:01:59 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-22.34) hardy-proposed; urgency=low

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Stefan Bader]

  * SAUCE: buildenv: Import git-ubuntu-log from kernel repository

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 06 Nov 2008 19:40:32 +0100

=== debian/control ===
Source: linux-ubuntu-modules-2.6.24
Section: base
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Standards-Version: 3.6.1
Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-24-386 [i386], linux-headers-2.6.24-24-generic [i386 amd64], linux-headers-2.6.24-24-hppa32 [hppa], linux-headers-2.6.24-24-hppa64 [hppa], linux-headers-2.6.24-24-itanium [ia64], linux-headers-2.6.24-24-lpia [lpia], linux-headers-2.6.24-24-lpiacompat [lpia], linux-headers-2.6.24-24-mckinley [ia64], linux-headers-2.6.24-24-openvz [i386 amd64], linux-headers-2.6.24-24-powerpc [powerpc], linux-headers-2.6.24-24-powerpc-smp [powerpc], linux-headers-2.6.24-24-powerpc64-smp [powerpc], linux-headers-2.6.24-24-rt [i386 amd64], linux-headers-2.6.24-24-server [i386 amd64], linux-headers-2.6.24-24-sparc64 [sparc], linux-headers-2.6.24-24-sparc64-smp [sparc], linux-headers-2.6.24-24-virtual [i386], linux-headers-2.6.24-24-xen [i386 amd64]

Package: linux-ubuntu-modules-2.6.24-24-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-24-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-386
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-24-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-generic
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1
Depends: linux-image-2.6.24-24-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-hppa32
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-24-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-hppa64
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-24-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-itanium
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-24-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-lpia
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-24-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat for x86-compatible.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-lpiacompat
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-24-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-mckinley
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-24-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-openvz
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-24-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-24-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-24-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-powerpc
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details

## linux-ubuntu-modules-2.6.24 2.6.24-24.60netbook01

=== ubuntu/wireless/rt3070sta/Makefile ===
RT28xx_MODE = STA

TARGET = LINUX

CHIPSET = 3070

#RT28xx_DIR = home directory of RT28xx source code
RT28xx_DIR = $(src)
RTMP_SRC_DIR = $(RT28xx_DIR)/RT$(CHIPSET)

#PLATFORM: Target platform
PLATFORM = PC
#PLATFORM = 5VT
#PLATFORM = IKANOS_V160
#PLATFORM = IKANOS_V180
#PLATFORM = SIGMA
#PLATFORM = SIGMA_8622
#PLATFORM = INIC
#PLATFORM = STAR
#PLATFORM = IXP
#PLATFORM = INF_TWINPASS
#PLATFORM = INF_DANUBE
#PLATFORM = BRCM_6358
#PLATFORM = INF_AMAZON_SE
#PLATFORM = CAVM_OCTEON
#PLATFORM = CMPC
#PLATFORM = RALINK_2880

#RELEASE Package
RELEASE = DPOM


ifeq ($(PLATFORM),5VT)
LINUX_SRC = /project/stable/5vt/ralink-2860-sdk/linux-2.6.17
CROSS_COMPILE = /opt/crosstool/uClibc_v5te_le_gcc_4_1_1/bin/arm-linux-
endif

ifeq ($(PLATFORM),IKANOS_V160)
LINUX_SRC = /home/sample/projects/LX_2618_RG_5_3_00r4_SRC/linux-2.6.18
CROSS_COMPILE = mips-linux-
endif

ifeq ($(PLATFORM),IKANOS_V180)
LINUX_SRC = /home/sample/projects/LX_BSP_VX180_5_4_0r1_ALPHA_26DEC07/linux-2.6.18
CROSS_COMPILE = mips-linux-
endif

ifeq ($(PLATFORM),SIGMA)
LINUX_SRC = /root/sigma/smp86xx_kernel_source_2.7.172.0/linux-2.6.15
CROSS_COMPILE = /root/sigma/smp86xx_toolchain_2.7.172.0/build_mipsel_nofpu/staging_dir/bin/mipsel-linux-
endif

ifeq ($(PLATFORM),SIGMA_8622)
LINUX_SRC = /home/snowpin/armutils_2.5.120.1/build_arm/linux-2.4.22-em86xx
CROSS_COMPILE = /home/snowpin/armutils_2.5.120.1/toolchain/bin/arm-elf-
CROSS_COMPILE_INCLUDE = /home/snowpin/armutils_2.5.120.1/toolchain/lib/gcc-lib/arm-elf/2.95.3
endif

ifeq ($(PLATFORM),INIC)
UCOS_SRC = /opt/uCOS/iNIC_rt2880
CROSS_COMPILE = /usr/bin/mipsel-linux-
endif

ifeq ($(PLATFORM),STAR)
LINUX_SRC = /opt/star/kernel/linux-2.4.27-star
CROSS_COMPILE = /opt/star/tools/arm-linux/bin/arm-linux-
endif

ifeq ($(PLATFORM), RALINK_2880)
LINUX_SRC = /project/stable/RT288x/RT288x_SDK/source/linux-2.4.x
CROSS_COMPILE = /opt/buildroot-gdb/bin/mipsel-linux-
endif

ifeq ($(PLATFORM),PC)
# Linux 2.6
LINUX_SRC = /lib/modules/$(shell uname -r)/build
obj-m := os/linux/
# Linux 2.4 Change to your local setting
#LINUX_SRC = /usr/src/linux-2.4
LINUX_SRC_MODULE = /lib/modules/$(shell uname -r)/kernel/drivers/net/wireless/
CROSS_COMPILE = 
endif

ifeq ($(PLATFORM),IXP)
LINUX_SRC = /project/stable/Gmtek/snapgear-uclibc/linux-2.6.x
CROSS_COMPILE = arm-linux-
endif

ifeq ($(PLATFORM),INF_TWINPASS)
# Linux 2.6
#LINUX_SRC = /lib/modules/$(shell uname -r)/build
# Linux 2.4 Change to your local setting
LINUX_SRC = /project/stable/twinpass/release/2.0.1/source/kernel/opensource/linux-2.4.31/
CROSS_COMPILE = mips-linux-
endif

ifeq ($(PLATFORM),INF_DANUBE)
LINUX_SRC = /opt/danube/sdk/linux-2.6.16.x
CROSS_COMPILE = mips-linux-
ROOTDIR = /opt/danube/sdk
export ROOTDIR
endif

ifeq ($(PLATFORM),BRCM_6358)
LINUX_SRC = 
CROSS_COMPILE = 
endif

ifeq ($(PLATFORM),INF_AMAZON_SE)
# Linux 2.6
#LINUX_SRC = /lib/modules/$(shell uname -r)/build
# Linux 2.4 Change to your local setting
LINUX_SRC = /backup/ifx/3.6.2.2/source/kernel/opensource/linux-2.4.31
#CROSS_COMPILE = mips-linux-
#LINUX_SRC = /project/Infineon/3.6.2.2/source/kernel/opensource/linux-2.4.31
CROSS_COMPILE = /opt/uclibc-toolchain/ifx-lxdb-1-2-3-external/gcc-3.3.6/toolchain-mips/R0208V35/mips-linux-uclibc/bin/
endif

ifeq ($(PLATFORM),ST)
LINUX_SRC = /opt/STM/STLinux-2.2/devkit/sources/kernel/linux0039
CROSS_COMPILE = /opt/STM/STLinux-2.2/devkit/sh4/bin/sh4-linux-
ARCH := sh
export ARCH
endif

ifeq ($(PLATFORM),CAVM_OCTEON)
OCTEON_ROOT = /usr/local/Cavium_Networks/OCTEON-SDK
LINUX_SRC = $(OCTEON_ROOT)/linux/kernel_2.6/linux
CROSS_COMPILE = mips64-octeon-linux-gnu-
endif

ifeq ($(PLATFORM),CMPC)
LINUX_SRC = /opt/fvt_11N_SDK_0807/fvt131x_SDK_11n/linux-2.6.17
CROSS_COMPILE =
endif

export RT28xx_DIR RT28xx_MODE LINUX_SRC CROSS_COMPILE CROSS_COMPILE_INCLUDE PLATFORM RELEASE CHIPSET RTMP_SRC_DIR LINUX_SRC_MODULE TARGET

all: build_tools $(TARGET)


build_tools:
	make -C tools
	$(RT28xx_DIR)/tools/bin2h

test:
	make -C tools test

UCOS:
	make -C os/ucos/ MODE=$(RT28xx_MODE)
	echo $(RT28xx_MODE)


LINUX:
ifneq (,$(findstring 2.4,$(LINUX_SRC)))
	cp -f os/linux/Makefile.4 $(RT28xx_DIR)/os/linux/Makefile
	make -C $(RT28xx_DIR)/os/linux/
ifeq ($(RT28xx_MODE),AP)
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)ap.o /tftpboot
ifeq ($(PLATFORM),INF_AMAZON_SE)
	cp -f /tftpboot/rt2870ap.o /backup/ifx/build/root_filesystem/lib/modules/2.4.31-Amazon_SE-3.6.2.2-R0416_Ralink/kernel/drivers/net
endif
else	
ifeq ($(RT28xx_MODE),APSTA)
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)apsta.o /tftpboot
else
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)sta.o /tftpboot
endif	
endif	
else
	cp -f os/linux/Makefile.6 $(RT28xx_DIR)/os/linux/Makefile
	make  -C  $(LINUX_SRC) SUBDIRS=$(RT28xx_DIR)/os/linux modules
ifeq ($(RT28xx_MODE),AP)
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)ap.ko /tftpboot
else	
ifeq ($(RT28xx_MODE),APSTA)
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)apsta.ko /tftpboot
else
	cp -f $(RT28xx_DIR)/os/linux/rt$(CHIPSET)sta.ko /tftpboot
endif	
endif
endif

release:
ifeq ($(TARGET), LINUX)
	make -C $(RT28xx_DIR)/striptool -f Makefile.release clean
	make -C $(RT28xx_DIR)/striptool -f Makefile.release
	striptool/striptool.out
endif

prerelease:
ifeq ($(CHIPSET), 2880)
	make -C $(RT28xx_DIR)/os/linux -f Makefile.release.2880 prerelease
else
	make -C $(RT28xx_DIR)/os/linux -f Makefile.release prerelease
endif
	cp $(RT28xx_DIR)/os/linux/Makefile.DPB $(RTMP_SRC_DIR)/os/linux/.
	cp $(RT28xx_DIR)/os/linux/Makefile.DPA $(RTMP_SRC_DIR)/os/linux/.
	cp $(RT28xx_DIR)/os/linux/Makefile.DPC $(RTMP_SRC_DIR)/os/linux/.
ifeq ($(RT28xx_MODE),STA)
	cp $(RT28xx_DIR)/os/linux/Makefile.DPD $(RTMP_SRC_DIR)/os/linux/.
	cp $(RT28xx_DIR)/os/linux/Makefile.DPO $(RTMP_SRC_DIR)/os/linux/.
endif	

clean:
ifeq ($(TARGET), LINUX)
ifneq (,$(findstring 2.4,$(LINUX_SRC)))
	cp -f os/linux/Makefile.4 os/linux/Makefile
else
	cp -f os/linux/Makefile.6 os/linux/Makefile
endif
	make -C os/linux clean
	rm -rf os/linux/Makefile
endif	
ifeq ($(TARGET), UCOS)
	make -C os/ucos clean MODE=$(RT28xx_MODE)
endif

uninstall:
ifeq ($(TARGET), LINUX)
ifneq (,$(findstring 2.4,$(LINUX_SRC)))
	make -C $(RT28xx_DIR)/os/linux -f Makefile.4 uninstall
else
	make -C $(RT28xx_DIR)/os/linux -f Makefile.6 uninstall
endif
endif

install:
ifeq ($(TARGET), LINUX)
ifneq (,$(findstring 2.4,$(LINUX_SRC)))
	make -C $(RT28xx_DIR)/os/linux -f Makefile.4 install
else
	make -C $(RT28xx_DIR)/os/linux -f Makefile.6 install
endif
endif

libwapi:
	make -C $(RT28xx_DIR)/os/linux -f Makefile.libwapi

=== ubuntu/wireless/rt3070sta/os/linux/Makefile ===
include $(RT28xx_DIR)/os/linux/config.mk


#ifdef CONFIG_STA_SUPPORT
ifeq ($(RT28xx_MODE), STA)
MOD_NAME = rt$(CHIPSET)sta
DAT_PATH = /etc/Wireless/RT$(CHIPSET)STA
DAT_FILE_NAME = RT$(CHIPSET)STA.dat
endif
#endif // CONFIG_STA_SUPPORT //


obj-m := $(MOD_NAME).o


#ifdef CONFIG_STA_SUPPORT
rt$(CHIPSET)sta-objs := \
	../../common/crypt_md5.o\
	../../common/crypt_sha2.o\
	../../common/crypt_hmac.o\
	../../common/mlme.o\
	../../common/cmm_wep.o\
	../../common/action.o\
	../../common/cmm_data.o\
	../../common/rtmp_init.o\
	../../common/cmm_tkip.o\
	../../common/cmm_aes.o\
	../../common/cmm_sync.o\
	../../common/eeprom.o\
	../../common/cmm_sanity.o\
	../../common/cmm_info.o\
	../../common/cmm_cfg.o\
	../../common/cmm_wpa.o\
	../../common/dfs.o\
	../../common/spectrum.o\
	../../common/rtmp_timer.o\
	../../common/rt_channel.o\
	../../common/cmm_profile.o\
	../../common/cmm_asic.o\
	../../sta/assoc.o\
	../../sta/auth.o\
	../../sta/auth_rsp.o\
	../../sta/sync.o\
	../../sta/sanity.o\
	../../sta/rtmp_data.o\
	../../sta/connect.o\
	../../sta/wpa.o\
	../../os/linux/rt_linux.o\
	../../os/linux/rt_profile.o\
	../../os/linux/rt_main_dev.o\
	../../os/linux/sta_ioctl.o

#ifdef DOT11_N_SUPPORT
ifeq ($(HAS_DOT11_N_SUPPORT),y)
rt$(CHIPSET)sta-objs += \
	../../common/ba_action.o
endif
#endif // DOT11_N_SUPPORT //

#ifdef ETH_CONVERT
ifeq ($(HAS_ETH_CONVERT_SUPPORT), y)
rt$(CHIPSET)sta-objs += \
	../../common/cmm_mat.o \
	../../common/cmm_mat_iparp.o \
	../../common/cmm_mat_pppoe.o \
	../../common/cmm_mat_ipv6.o
endif
#endif // ETH_CONVERT //


ifeq ($(HAS_BLOCK_NET_IF),y)
rt$(CHIPSET)sta-objs += ../../common/netif_block.o
endif

ifeq ($(HAS_QOS_DLS_SUPPORT),y)
rt$(CHIPSET)sta-objs += ../../sta/dls.o
endif




#ifdef RT3070
ifeq ($(CHIPSET),2070)
rt$(CHIPSET)sta-objs += \
	../../os/linux/usb_main_dev.o\
	../../os/linux/rt_usb.o\
	../../common/cmm_mac_usb.o\
	../../common/rtusb_io.o\
	../../common/rtusb_bulk.o\
	../../common/rtusb_data.o\
	../../common/cmm_data_usb.o\
	../../common/ee_prom.o\
	../../common/ee_efuse.o\
	../../common/rtmp_mcu.o\
	../../chips/rt30xx.o\
	../../common/rt_rf.o\
	../../chips/rt3070.o
endif

ifeq ($(CHIPSET),3070)
rt$(CHIPSET)sta-objs += \
	../../os/linux/usb_main_dev.o\
	../../os/linux/rt_usb.o\
	../../common/cmm_mac_usb.o\
	../../common/rtusb_io.o\
	../../common/rtusb_bulk.o\
	../../common/rtusb_data.o\
	../../common/cmm_data_usb.o\
	../../common/ee_prom.o\
	../../common/ee_efuse.o\
	../../common/rtmp_mcu.o\
	../../chips/rt30xx.o\
	../../common/rt_rf.o\
	../../chips/rt3070.o
endif
#endif // RT3070 //



#ifdef RT3390
ifeq ($(CHIPSET),3390)
rt$(CHIPSET)sta-objs += \
	../../os/linux/pci_main_dev.o\
	../../os/linux/rt_pci_rbus.o\
	../../common/cmm_mac_pci.o\
	../../common/cmm_data_pci.o\
	../../common/ee_prom.o\
	../../common/ee_efuse.o\
	../../common/rtmp_mcu.o\
	../../common/rt_rf.o\
	../../chips/rt33xx.o\
	../../chips/rt3390.o
endif
#endif // RT3390 //

#ifdef RT3370
ifeq ($(CHIPSET),3370)
rt$(CHIPSET)sta-objs += \
	../../os/linux/usb_main_dev.o\
	../../os/linux/rt_usb.o\
	../../common/cmm_mac_usb.o\
	../../common/rtusb_io.o\
	../../common/rtusb_bulk.o\
	../../common/rtusb_data.o\
	../../common/cmm_data_usb.o\
	../../common/ee_prom.o\
	../../common/ee_efuse.o\
	../../common/rtmp_mcu.o\
	../../common/rt_rf.o\
	../../chips/rt33xx.o\
	../../chips/rt3370.o
endif
#endif // RT3370 //

ifeq ($(HAS_ATE),y)
rt$(CHIPSET)sta-objs += ../../os/linux/rt_ate.o
endif


#ifdef MESH_SUPPORT
ifeq ($(HAS_MESH_SUPPORT),y)
rt$(CHIPSET)sta-objs += \
	../../common/mesh_bmpkt.o \
	../../common/mesh_ctrl.o \
	../../common/mesh_link_mng.o \
	../../common/mesh_sanity.o \
	../../common/mesh_tlv.o \
	../../common/mesh.o \
	../../common/mesh_forwarding.o \
	../../common/mesh_path_mng.o \
	../../common/mlme_ex.o
endif
#endif // MESH_SUPPORT //



#endif // CONFIG_STA_SUPPORT //


clean:
	rm -f ../../common/*.o
	rm -f ../../common/.*.{cmd,flags,d}
	rm -f ../../os/linux/*.{o,ko,mod.{o,c}}
	rm -f ../../os/linux/.*.{cmd,flags,d}
	rm -fr ../../os/linux/.tmp_versions
	rm -f ../../chips/*.o
	rm -f ../../chips/.*.{cmd,flags,d}
ifeq ($(RT28xx_MODE),AP)
	rm -f ../../ap/*.o
	rm -f ../../ap/.*.{cmd,flags,d}
else
ifeq ($(RT28xx_MODE),STA)
	rm -f ../../sta/*.o
	rm -f ../../sta/.*.{cmd,flags,d}
else
ifeq ($(RT28xx_MODE),APSTA)
	rm -f ../../ap/*.o
	rm -f ../../ap/.*.{cmd,flags,d}
	rm -f ../../sta/*.o
	rm -f ../../sta/.*.{cmd,flags,d}
endif
endif
endif

install:
	rm -rf $(DAT_PATH)
	$(shell [ ! -f /etc/Wireless ] && mkdir /etc/Wireless)
	mkdir $(DAT_PATH)
	cp $(RT28xx_DIR)/$(DAT_FILE_NAME) $(DAT_PATH)/.
	install -d $(LINUX_SRC_MODULE)
	install -m 644 -c $(addsuffix .ko,$(MOD_NAME)) $(LINUX_SRC_MODULE)
	/sbin/depmod -a ${shell uname -r}

uninstall:
#	rm -rf $(DAT_PATH)
	rm -rf $(addprefix $(LINUX_SRC_MODULE),$(addsuffix .ko,$(MOD_NAME)))
	/sbin/depmod -a ${shell uname -r}

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-24.60netbook01) netbook-common; urgency=low

  [Jim Lieb]

  * Update rt3070 Ralink driver for Natick 2
  * rt3070sta: integrate driver into LUM build
  * rt3070sta: Enable mesh protocol function
  * rt3070sta: Turn on native WPA Supplicant option.

 -- sconklin <sconklin@ubuntu.com>  Fri, 11 Sep 2009 23:10:55 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.59netbook01) netbook-common; urgency=low

  [Colin Ian King]

  * usbvideo: add reset_resume to uvc_driver

  [Steve Conklin]

  * match the latest kernel release

 -- sconklin <sconklin@ubuntu.com>  Thu, 10 Sep 2009 19:20:12 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.54netbook01) netbook-common; urgency=low

  [Colin Ian King]

  * ALSA: snd-hda-intel: fix ALC662 capture device init

  [Steve Conklin]

  * Add drivers needed to support Natick platforms

 -- sconklin <sconklin@ubuntu.com>  Tue, 28 Jul 2009 18:49:47 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.53netbook01) netbook-common; urgency=low

  * Bump ABI to match rebased kernel

 -- Steve Conklin <sconklin@canonical.com>  Thu, 07 May 2009 20:20:20 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook30) netbook-common; urgency=low

  [Steve Conklin]

  * snd-hda-intel: enable microphone for alc272 (realtek)
    - LP: #347811

 -- Steve Conklin <sconklin@ubuntu.com>  Tue, 28 Apr 2009 14:55:15 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook29) netbook-common; urgency=low

  [Colin Ian King]

  * SAUCE: hda-intel volume remapping for non-linear volume scales
    - LP: #249233
  * SAUCE: hda-intel volume remapping for non-linear volume scales

 -- Steve Conklin <sconklin@canonical.com>  Mon, 27 Apr 2009 22:38:48 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook28) netbook-common; urgency=low

  * New DVB driver
  * New Poulsbo driver

 -- Steve Conklin <sconklin@canonical.com>  Fri, 17 Apr 2009 17:43:34 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook27) netbook-common; urgency=low

  * ABI bump to -24

 -- Steve Conklin <sconklin@canonical.com>  Wed, 08 Apr 2009 13:21:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: linux-ubuntu-modules-2.6.24
 Section: base
 Priority: optional
-Maintainer: Rubén Rodríguez <ruben@trisquel.info>
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.1
-Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-24-386 [i386], linux-headers-2.6.24-24-generic [i386 amd64], linux-headers-2.6.24-24-hppa32 [hppa], linux-headers-2.6.24-24-hppa64 [hppa], linux-headers-2.6.24-24-itanium [ia64], linux-headers-2.6.24-24-lpia [lpia], linux-headers-2.6.24-24-lpiacompat [lpia], linux-headers-2.6.24-24-mckinley [ia64], linux-headers-2.6.24-24-openvz [i386 amd64], linux-headers-2.6.24-24-powerpc [powerpc], linux-headers-2.6.24-24-powerpc-smp [powerpc], linux-headers-2.6.24-24-powerpc64-smp [powerpc], linux-headers-2.6.24-24-rt [i386 amd64], linux-headers-2.6.24-24-server [i386 amd64], linux-headers-2.6.24-24-sparc64 [sparc], linux-headers-2.6.24-24-sparc64-smp [sparc], linux-headers-2.6.24-24-virtual [i386], linux-headers-2.6.24-24-xen [i386 amd64]
+Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-24-386 [i386], linux-headers-2.6.24-24-generic [i386 amd64], linux-headers-2.6.24-24-hppa32 [hppa], linux-headers-2.6.24-24-hppa64 [hppa], linux-headers-2.6.24-24-itanium [ia64], linux-headers-2.6.24-24-lpia [lpia], linux-headers-2.6.24-24-mckinley [ia64], linux-headers-2.6.24-24-openvz [i386 amd64], linux-headers-2.6.24-24-powerpc [powerpc], linux-headers-2.6.24-24-powerpc-smp [powerpc], linux-headers-2.6.24-24-powerpc64-smp [powerpc], linux-headers-2.6.24-24-rt [i386 amd64], linux-headers-2.6.24-24-server [i386 amd64], linux-headers-2.6.24-24-sparc64 [sparc], linux-headers-2.6.24-24-sparc64-smp [sparc], linux-headers-2.6.24-24-virtual [i386], linux-headers-2.6.24-24-xen [i386 amd64]
 
 Package: linux-ubuntu-modules-2.6.24-24-386
 Architecture: i386
@@ -161,32 +161,6 @@
  that want the latest linux-ubuntu-modules headers. Please read
  /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
 
-Package: linux-ubuntu-modules-2.6.24-24-lpiacompat
-Architecture: lpia
-Section: base
-Priority: optional
-Provides: ndiswrapper-modules-1.9
-Depends: linux-image-2.6.24-24-lpiacompat
-Pre-Depends: dpkg (>= 1.10.24)
-Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
- This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
- lpiacompat for x86-compatible.
- .
- You likely do not want to install this package directly. Instead, install
- the linux-lpiacompat meta-package, which will ensure that upgrades work
- correctly, and that supporting packages are also installed.
-
-Package: linux-headers-lum-2.6.24-24-lpiacompat
-Architecture: lpia
-Section: base
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-lpiacompat
-Provides: linux-headers-lum, linux-headers-lum-2.6
-Description: Header files related to linux-ubuntu-modules version 2.6.24
- This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
- that want the latest linux-ubuntu-modules headers. Please read
- /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
-
 Package: linux-ubuntu-modules-2.6.24-24-mckinley
 Architecture: ia64
 Section: base
@@ -265,3 +239,30 @@
  that want the latest linux-ubuntu-modules headers. Please read
  /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
 
+Package: linux-ubuntu-modules-2.6.24-24-powerpc-smp
+Architecture: powerpc
+Section: base
+Priority: optional
+Provides: 
+Depends: linux-image-2.6.24-24-powerpc-smp
+Pre-Depends: dpkg (>= 1.10.24)
+Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC SMP
+ This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
+ 32-bit PowerPC SMP.
+ .
+ You likely do not want to install this package directly. Instead, install
+ the linux-powerpc-smp meta-package, which will ensure that upgrades work
+ correctly, and that supporting packages are also installed.
+
+Package: linux-headers-lum-2.6.24-24-powerpc-smp
+Architecture: powerpc
+Section: base
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-powerpc-smp
+Provides: linux-headers-lum, linux-headers-lum-2.6
+Description: Header files related to linux-ubuntu-modules version 2.6.24
+ This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
+ that want the latest linux-ubuntu-modules headers. Please read
+ /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
+
+Package: linux-ubuntu-modules-2.6.24-24-powerpc64-smp
